%global srcname jaydebeapi
%global sum     Bridge from JDBC database drivers to Python DB-API
%global desc    \
The JayDeBeApi module allows you to connect from Python code to databases using\
Java JDBC. It provides a Python DB-API v2.0 to that database.

Name:           python-%{srcname}
Version:        1.1.1
Release:        7%{?dist}
Summary:        %{sum}

License:        GPLv3
URL:            https://github.com/baztian/%{srcname}
Source0:        https://github.com/baztian/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{desc}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

Requires:       python%{python3_pkgversion}-jpype

%description -n python%{python3_pkgversion}-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license COPYING COPYING.LESSER
%doc README.rst README_development.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/JayDeBeApi*


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 11 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-6
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-4
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.1.1-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 21 2017 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 1.1.1-1
- Initial package
